# Visualization
TKService
Aspect

# Aspect_WindowDefinitionError Class Reference

`#include <Aspect_WindowDefinitionError.hxx>`

## Public Member Functions

Standard_EXPORT | Aspect_WindowDefinitionError ()
Standard_EXPORT | Aspect_WindowDefinitionError (const Standard_CString AString)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Raise (const Standard_CString aMessage="")
static Standard_EXPORT void | Raise (Standard_SStream &aReason)
static Standard_EXPORT | Handle (Aspect_WindowDefinitionError) NewInstance(const Standard_CString aMessage)

## Private Member Functions

virtual Standard_EXPORT void | Throw () const

## Friends

Standard_EXPORT friend Handle_Standard_Type & | Aspect_WindowDefinitionError_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_WindowDefinitionError::Aspect_WindowDefinitionError | ( |  | ) | `[inline]`

Standard_EXPORT Aspect_WindowDefinitionError::Aspect_WindowDefinitionError | ( | const Standard_CString | AString | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const Aspect_WindowDefinitionError::Handle | ( | Standard_Type |  | ) | const

static Standard_EXPORT Aspect_WindowDefinitionError::Handle | ( | Aspect_WindowDefinitionError |  | ) | const`[static]`

static Standard_EXPORT void Aspect_WindowDefinitionError::Raise | ( | Standard_SStream & | aReason | ) | `[static]`

static Standard_EXPORT void Aspect_WindowDefinitionError::Raise | ( | const Standard_CString | aMessage = `""` | ) | `[static]`

virtual Standard_EXPORT void Aspect_WindowDefinitionError::Throw | ( |  | ) | const`[private, virtual]`

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& Aspect_WindowDefinitionError_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- Aspect_WindowDefinitionError.hxx